import { GraphQLSchema } from 'graphql';
import { SiblingOperations } from './sibling-operations';
export declare type ReachableTypes = Set<string>;
export declare function getReachableTypes(schema: GraphQLSchema): ReachableTypes;
export declare type UsedFields = Record<string, Set<string>>;
export declare function getUsedFields(schema: GraphQLSchema, operations: SiblingOperations): UsedFields;
